Loading...
Searching...
No Matches
characteristic_on_quadrature_rep< T, M >

## Detailed Description

template<class T, class M>
struct rheolef::characteristic_on_quadrature_rep< T, M >

Definition at line 118 of file characteristic.h.

## Public Member Functions

| characteristic_on_quadrature_rep (quadrature_option qopt1=quadrature_option(quadrature_option::max_family, 0))
| characteristic_on_quadrature_rep (const characteristic_on_quadrature_rep< T, M > &x)

## Public Attributes

quadrature_option | _qopt
quadrature< T > | _quad
basis_on_pointset< T > | _piola_on_quad
disarray< index_set, M > | _ie2dis_ix
disarray< point_basic< T >, M > | _hat_y
disarray< point_basic< T >, M > | _yq

## Constructor & Destructor Documentation

## characteristic_on_quadrature_rep() [1/2]

template<class T, class M>

characteristic_on_quadrature_rep | ( | quadrature_option | qopt1 = quadrature_option(quadrature_option::max_family,0) | ) |

Definition at line 120 of file characteristic.h.

## characteristic_on_quadrature_rep() [2/2]

template<class T, class M>

characteristic_on_quadrature_rep | ( | const characteristic_on_quadrature_rep< T, M > & | x | ) |

Definition at line 129 of file characteristic.h.

## Member Data Documentation

## _qopt

template<class T, class M>

quadrature_option _qopt

Definition at line 142 of file characteristic.h.

## _quad

template<class T, class M>

quadrature<T> _quad

Definition at line 143 of file characteristic.h.

## _piola_on_quad

template<class T, class M>

basis_on_pointset<T> _piola_on_quad

Definition at line 144 of file characteristic.h.

## _ie2dis_ix

template<class T, class M>

disarray<index_set,M> _ie2dis_ix

Definition at line 145 of file characteristic.h.

## _hat_y

template<class T, class M>

disarray<point_basic<T>,M> _hat_y

Definition at line 146 of file characteristic.h.

## _yq

template<class T, class M>

disarray<point_basic<T>,M> _yq

Definition at line 147 of file characteristic.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/characteristic.h